# HG changeset patch
# Node ID 4d8429f1c656
# Parent  e1e2fc3f1900
diff --git a/libpurple/tests/test_credential_manager.c b/libpurple/tests/test_credential_manager.c
--- a/libpurple/tests/test_credential_manager.c
+++ b/libpurple/tests/test_credential_manager.c
@@ -64,7 +64,7 @@
 
 static void
 test_purple_credential_provider_read_password_async(PurpleCredentialProvider *p,
-                                                    PurpleAccount *account,
+                                                    G_GNUC_UNUSED PurpleAccount *account,
                                                     GCancellable *cancellable,
                                                     GAsyncReadyCallback callback,
                                                     gpointer data)
@@ -88,8 +88,8 @@
 
 static void
 test_purple_credential_provider_write_password_async(PurpleCredentialProvider *p,
-                                                     PurpleAccount *account,
-                                                     const gchar *password,
+                                                     G_GNUC_UNUSED PurpleAccount *account,
+                                                     G_GNUC_UNUSED const gchar *password,
                                                      GCancellable *cancellable,
                                                      GAsyncReadyCallback callback,
                                                      gpointer data)
@@ -113,7 +113,7 @@
 
 static void
 test_purple_credential_provider_clear_password_async(PurpleCredentialProvider *p,
-                                                     PurpleAccount *account,
+                                                     G_GNUC_UNUSED PurpleAccount *account,
                                                      GCancellable *cancellable,
                                                      GAsyncReadyCallback callback,
                                                      gpointer data)
@@ -136,7 +136,7 @@
 }
 
 static void
-test_purple_credential_provider_init(TestPurpleCredentialProvider *provider) {
+test_purple_credential_provider_init(G_GNUC_UNUSED TestPurpleCredentialProvider *provider) {
 }
 
 static void
diff --git a/libpurple/tests/test_credential_provider.c b/libpurple/tests/test_credential_provider.c
--- a/libpurple/tests/test_credential_provider.c
+++ b/libpurple/tests/test_credential_provider.c
@@ -49,47 +49,47 @@
               PURPLE_TYPE_CREDENTIAL_PROVIDER)
 
 static void
-test_purple_credential_provider_empty_read_password_async(PurpleCredentialProvider *provider,
-                                                          PurpleAccount *account,
-                                                          GCancellable *cancellable,
-                                                          GAsyncReadyCallback callback,
-                                                          gpointer data)
+test_purple_credential_provider_empty_read_password_async(G_GNUC_UNUSED PurpleCredentialProvider *provider,
+                                                          G_GNUC_UNUSED PurpleAccount *account,
+                                                          G_GNUC_UNUSED GCancellable *cancellable,
+                                                          G_GNUC_UNUSED GAsyncReadyCallback callback,
+                                                          G_GNUC_UNUSED gpointer data)
 {
 }
 
 static gchar *
-test_purple_credential_provider_empty_read_password_finish(PurpleCredentialProvider *provider,
-                                                           GAsyncResult *result,
-                                                           GError **error)
+test_purple_credential_provider_empty_read_password_finish(G_GNUC_UNUSED PurpleCredentialProvider *provider,
+                                                           G_GNUC_UNUSED GAsyncResult *result,
+                                                           G_GNUC_UNUSED GError **error)
 {
 	return NULL;
 }
 
 static void
-test_purple_credential_provider_empty_write_password_async(PurpleCredentialProvider *provider,
-                                                           PurpleAccount *account,
-                                                           const gchar *password,
-                                                           GCancellable *cancellable,
-                                                           GAsyncReadyCallback callback,
-                                                           gpointer data)
+test_purple_credential_provider_empty_write_password_async(G_GNUC_UNUSED PurpleCredentialProvider *provider,
+                                                           G_GNUC_UNUSED PurpleAccount *account,
+                                                           G_GNUC_UNUSED const gchar *password,
+                                                           G_GNUC_UNUSED GCancellable *cancellable,
+                                                           G_GNUC_UNUSED GAsyncReadyCallback callback,
+                                                           G_GNUC_UNUSED gpointer data)
 {
 }
 
 static gboolean
-test_purple_credential_provider_empty_write_password_finish(PurpleCredentialProvider *provider,
-                                                            GAsyncResult *result,
-                                                            GError **error)
+test_purple_credential_provider_empty_write_password_finish(G_GNUC_UNUSED PurpleCredentialProvider *provider,
+                                                            G_GNUC_UNUSED GAsyncResult *result,
+                                                            G_GNUC_UNUSED GError **error)
 {
 	return TRUE;
 }
 
 static void
-test_purple_credential_provider_empty_class_init(TestPurpleCredentialProviderEmptyClass *klass)
+test_purple_credential_provider_empty_class_init(G_GNUC_UNUSED TestPurpleCredentialProviderEmptyClass *klass)
 {
 }
 
 static void
-test_purple_credential_provider_empty_init(TestPurpleCredentialProviderEmpty *provider)
+test_purple_credential_provider_empty_init(G_GNUC_UNUSED TestPurpleCredentialProviderEmpty *provider)
 {
 }
 
@@ -232,7 +232,7 @@
 
 static void
 test_purple_credential_provider_read_password_async(PurpleCredentialProvider *p,
-                                                    PurpleAccount *account,
+                                                    G_GNUC_UNUSED PurpleAccount *account,
                                                     GCancellable *cancellable,
                                                     GAsyncReadyCallback callback,
                                                     gpointer data)
@@ -249,8 +249,8 @@
 
 static gchar *
 test_purple_credential_provider_read_password_finish(PurpleCredentialProvider *p,
-                                                     GAsyncResult *result,
-                                                     GError **error)
+                                                     G_GNUC_UNUSED GAsyncResult *result,
+                                                     G_GNUC_UNUSED GError **error)
 {
 	TestPurpleCredentialProvider *provider = TEST_PURPLE_CREDENTIAL_PROVIDER(p);
 
@@ -261,8 +261,8 @@
 
 static void
 test_purple_credential_provider_write_password_async(PurpleCredentialProvider *p,
-                                                     PurpleAccount *account,
-                                                     const gchar *password,
+                                                     G_GNUC_UNUSED PurpleAccount *account,
+                                                     G_GNUC_UNUSED const gchar *password,
                                                      GCancellable *cancellable,
                                                      GAsyncReadyCallback callback,
                                                      gpointer data)
@@ -279,8 +279,8 @@
 
 static gboolean
 test_purple_credential_provider_write_password_finish(PurpleCredentialProvider *p,
-                                                      GAsyncResult *result,
-                                                      GError **error)
+                                                      G_GNUC_UNUSED GAsyncResult *result,
+                                                      G_GNUC_UNUSED GError **error)
 {
 	TestPurpleCredentialProvider *provider = TEST_PURPLE_CREDENTIAL_PROVIDER(p);
 
@@ -291,7 +291,7 @@
 
 static void
 test_purple_credential_provider_clear_password_async(PurpleCredentialProvider *p,
-                                                     PurpleAccount *account,
+                                                     G_GNUC_UNUSED PurpleAccount *account,
                                                      GCancellable *cancellable,
                                                      GAsyncReadyCallback callback,
                                                      gpointer data)
@@ -308,8 +308,8 @@
 
 static gboolean
 test_purple_credential_provider_clear_password_finish(PurpleCredentialProvider *p,
-                                                      GAsyncResult *result,
-                                                      GError **error)
+                                                      G_GNUC_UNUSED GAsyncResult *result,
+                                                      G_GNUC_UNUSED GError **error)
 {
 	TestPurpleCredentialProvider *provider = TEST_PURPLE_CREDENTIAL_PROVIDER(p);
 
@@ -319,7 +319,7 @@
 }
 
 static void
-test_purple_credential_provider_init(TestPurpleCredentialProvider *provider) {
+test_purple_credential_provider_init(G_GNUC_UNUSED TestPurpleCredentialProvider *provider) {
 }
 
 static void
diff --git a/libpurple/tests/test_history_adapter.c b/libpurple/tests/test_history_adapter.c
--- a/libpurple/tests/test_history_adapter.c
+++ b/libpurple/tests/test_history_adapter.c
@@ -51,7 +51,9 @@
               PURPLE_TYPE_HISTORY_ADAPTER)
 
 static gboolean
-test_purple_history_adapter_activate(PurpleHistoryAdapter *a, GError **error) {
+test_purple_history_adapter_activate(PurpleHistoryAdapter *a,
+                                     G_GNUC_UNUSED GError **error)
+{
 	TestPurpleHistoryAdapter *adapter = TEST_PURPLE_HISTORY_ADAPTER(a);
 
 	adapter->activate = TRUE;
@@ -61,7 +63,7 @@
 
 static gboolean
 test_purple_history_adapter_deactivate(PurpleHistoryAdapter *a,
-                                       GError **error)
+                                       G_GNUC_UNUSED GError **error)
 {
 	TestPurpleHistoryAdapter *adapter = TEST_PURPLE_HISTORY_ADAPTER(a);
 
@@ -72,8 +74,8 @@
 
 static GList *
 test_purple_history_adapter_query(PurpleHistoryAdapter *a,
-                                  const gchar *query,
-                                  GError **error)
+                                  G_GNUC_UNUSED const gchar *query,
+                                  G_GNUC_UNUSED GError **error)
 {
 	TestPurpleHistoryAdapter *adapter = TEST_PURPLE_HISTORY_ADAPTER(a);
 	GList *list = NULL;
@@ -87,8 +89,8 @@
 
 static gboolean
 test_purple_history_adapter_remove(PurpleHistoryAdapter *a,
-                                   const gchar *query,
-                                   GError **error)
+                                   G_GNUC_UNUSED const gchar *query,
+                                   G_GNUC_UNUSED GError **error)
 {
 	TestPurpleHistoryAdapter *adapter = TEST_PURPLE_HISTORY_ADAPTER(a);
 
@@ -99,9 +101,9 @@
 
 static gboolean
 test_purple_history_adapter_write(PurpleHistoryAdapter *a,
-                                  PurpleConversation *conversation,
-                                  PurpleMessage *message,
-                                  GError **error)
+                                  G_GNUC_UNUSED PurpleConversation *conversation,
+                                  G_GNUC_UNUSED PurpleMessage *message,
+                                  G_GNUC_UNUSED GError **error)
 {
 	TestPurpleHistoryAdapter *adapter = TEST_PURPLE_HISTORY_ADAPTER(a);
 
@@ -111,7 +113,7 @@
 }
 
 static void
-test_purple_history_adapter_init(TestPurpleHistoryAdapter *adapter) {
+test_purple_history_adapter_init(G_GNUC_UNUSED TestPurpleHistoryAdapter *adapter) {
 }
 
 static void
diff --git a/libpurple/tests/test_history_manager.c b/libpurple/tests/test_history_manager.c
--- a/libpurple/tests/test_history_manager.c
+++ b/libpurple/tests/test_history_manager.c
@@ -51,7 +51,8 @@
               PURPLE_TYPE_HISTORY_ADAPTER)
 
 static gboolean
-test_purple_history_adapter_activate(PurpleHistoryAdapter *a, GError **error)
+test_purple_history_adapter_activate(PurpleHistoryAdapter *a,
+                                     G_GNUC_UNUSED GError **error)
 {
 	TestPurpleHistoryAdapter *ta = TEST_PURPLE_HISTORY_ADAPTER(a);
 
@@ -61,7 +62,8 @@
 }
 
 static gboolean
-test_purple_history_adapter_deactivate(PurpleHistoryAdapter *a, GError **error)
+test_purple_history_adapter_deactivate(PurpleHistoryAdapter *a,
+                                       G_GNUC_UNUSED GError **error)
 {
 	TestPurpleHistoryAdapter *ta = TEST_PURPLE_HISTORY_ADAPTER(a);
 
@@ -72,8 +74,8 @@
 
 static GList *
 test_purple_history_adapter_query(PurpleHistoryAdapter *a,
-                                  const gchar *id,
-                                  GError **error)
+                                  G_GNUC_UNUSED const gchar *id,
+                                  G_GNUC_UNUSED GError **error)
 {
 	TestPurpleHistoryAdapter *ta = TEST_PURPLE_HISTORY_ADAPTER(a);
 
@@ -84,8 +86,8 @@
 
 static gboolean
 test_purple_history_adapter_remove(PurpleHistoryAdapter *a,
-                                   const gchar *id,
-                                   GError **error)
+                                   G_GNUC_UNUSED const gchar *id,
+                                   G_GNUC_UNUSED GError **error)
 {
 	TestPurpleHistoryAdapter *ta = TEST_PURPLE_HISTORY_ADAPTER(a);
 
@@ -96,9 +98,9 @@
 
 static gboolean
 test_purple_history_adapter_write(PurpleHistoryAdapter *a,
-                                  PurpleConversation *conversation,
-                                  PurpleMessage *message,
-                                  GError **error)
+                                  G_GNUC_UNUSED PurpleConversation *conversation,
+                                  G_GNUC_UNUSED PurpleMessage *message,
+                                  G_GNUC_UNUSED GError **error)
 {
 	TestPurpleHistoryAdapter *ta = TEST_PURPLE_HISTORY_ADAPTER(a);
 
@@ -108,7 +110,7 @@
 }
 
 static void
-test_purple_history_adapter_init(TestPurpleHistoryAdapter *adapter)
+test_purple_history_adapter_init(G_GNUC_UNUSED TestPurpleHistoryAdapter *adapter)
 {
 }
 
diff --git a/libpurple/tests/test_protocol.c b/libpurple/tests/test_protocol.c
--- a/libpurple/tests/test_protocol.c
+++ b/libpurple/tests/test_protocol.c
@@ -56,7 +56,7 @@
 
 static void
 test_purple_protocol_can_connect_async(PurpleProtocol *protocol,
-                                       PurpleAccount *account,
+                                       G_GNUC_UNUSED PurpleAccount *account,
                                        GCancellable *cancellable,
                                        GAsyncReadyCallback callback,
                                        gpointer data)
diff --git a/libpurple/tests/test_protocol_action.c b/libpurple/tests/test_protocol_action.c
--- a/libpurple/tests/test_protocol_action.c
+++ b/libpurple/tests/test_protocol_action.c
@@ -28,7 +28,7 @@
  * Helpers
  *****************************************************************************/
 static void
-_test_purple_protocol_action_callback(PurpleProtocolAction *action) {
+_test_purple_protocol_action_callback(G_GNUC_UNUSED PurpleProtocolAction *action) {
 }
 
 /******************************************************************************
diff --git a/libpurple/tests/test_protocol_xfer.c b/libpurple/tests/test_protocol_xfer.c
--- a/libpurple/tests/test_protocol_xfer.c
+++ b/libpurple/tests/test_protocol_xfer.c
@@ -46,21 +46,31 @@
 
 
 static gboolean
-test_purple_protocol_xfer_can_receive(PurpleProtocolXfer *prplxfer, PurpleConnection *c, const gchar *who) {
+test_purple_protocol_xfer_can_receive(PurpleProtocolXfer *prplxfer,
+                                      G_GNUC_UNUSED PurpleConnection *c,
+                                      G_GNUC_UNUSED const gchar *who)
+{
 	TestPurpleProtocolXfer *test_xfer = (TestPurpleProtocolXfer *)prplxfer;
 
 	return test_xfer->can_send;
 }
 
 static void
-test_purple_protocol_xfer_send_file(PurpleProtocolXfer *prplxfer, PurpleConnection *c, const gchar *who, const gchar *filename) {
+test_purple_protocol_xfer_send_file(PurpleProtocolXfer *prplxfer,
+                                    G_GNUC_UNUSED PurpleConnection *c,
+                                    G_GNUC_UNUSED const gchar *who,
+                                    G_GNUC_UNUSED const gchar *filename)
+{
 	TestPurpleProtocolXfer *test_xfer = (TestPurpleProtocolXfer *)prplxfer;
 
 	test_xfer->send_called = TRUE;
 }
 
 static PurpleXfer *
-test_purple_protocol_xfer_new_xfer(PurpleProtocolXfer *prplxfer, PurpleConnection *c, const gchar *who) {
+test_purple_protocol_xfer_new_xfer(PurpleProtocolXfer *prplxfer,
+                                   PurpleConnection *c,
+                                   const gchar *who)
+{
 	TestPurpleProtocolXfer *test_xfer = (TestPurpleProtocolXfer *)prplxfer;
 	PurpleAccount *a = purple_connection_get_account(c);
 
@@ -87,11 +97,11 @@
 );
 
 static void
-test_purple_protocol_xfer_init(TestPurpleProtocolXfer *prplxfer) {
+test_purple_protocol_xfer_init(G_GNUC_UNUSED TestPurpleProtocolXfer *prplxfer) {
 }
 
 static void
-test_purple_protocol_xfer_class_init(TestPurpleProtocolXferClass *klass) {
+test_purple_protocol_xfer_class_init(G_GNUC_UNUSED TestPurpleProtocolXferClass *klass) {
 }
 
 static TestPurpleProtocolXfer *
